sensorfw: LidSensorAdaptorEvdev Class Reference

sensorfw

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
LidSensorAdaptorEvdev Class Reference

Adaptor for lid sensor. More...

`#include <lidsensoradaptor-evdev.h>`

Inheritance diagram for LidSensorAdaptorEvdev:

## Public Member Functions
virtual bool | startSensor ()
virtual void | stopSensor ()
virtual bool | standby ()
virtual bool | resume ()
virtual void | init ()

## Static Public Member Functions
static DeviceAdaptor * | factoryMethod (const QString &id)
| Factory method for gaining a new instance of LidsensorAdaptorEvdev class.

## Protected Member Functions
| LidSensorAdaptorEvdev (const QString &id)
| Constructor.
| ~LidSensorAdaptorEvdev ()

## Detailed Description

Adaptor for lid sensor.

Events are received through evdev kernel interface.

Listening clients are notified whenever the state has changed.

Definition at line 40 of file lidsensoradaptor-evdev.h.

## Constructor & Destructor Documentation

## ◆ LidSensorAdaptorEvdev()

LidSensorAdaptorEvdev::LidSensorAdaptorEvdev | ( | const QString & | id | ) |
| protected

Constructor.

Parameters

  id | Identifier for the adaptor.

## ◆ ~LidSensorAdaptorEvdev()

LidSensorAdaptorEvdev::~LidSensorAdaptorEvdev | ( |  | ) |
| protected

## Member Function Documentation

## ◆ factoryMethod()

static DeviceAdaptor * LidSensorAdaptorEvdev::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for gaining a new instance of LidsensorAdaptorEvdev class.

Parameters

  id | Identifier for the adaptor.

Definition at line 55 of file lidsensoradaptor-evdev.h.

## ◆ init()

virtual void LidSensorAdaptorEvdev::init | ( |  | ) |
| virtual

## ◆ resume()

virtual bool LidSensorAdaptorEvdev::resume | ( |  | ) |
| virtual

## ◆ standby()

virtual bool LidSensorAdaptorEvdev::standby | ( |  | ) |
| virtual

## ◆ startSensor()

virtual bool LidSensorAdaptorEvdev::startSensor | ( |  | ) |
| virtual

## ◆ stopSensor()

virtual void LidSensorAdaptorEvdev::stopSensor | ( |  | ) |
| virtual

The documentation for this class was generated from the following file:

- adaptors/lidsensoradaptor-evdev/lidsensoradaptor-evdev.h